<?php
	
	list ($channel) = $irc_call_args;
	
	$silent_nonevent = isset ($irc_call_args[1]) && $irc_call_args[1];
	
	$game = $this->custom_vars->yandere_games[$channel];
	
	$night_actions = $this->custom_vars->yandere_role_actions[1];
	
	$enemies_remaining = 0;
	$yanderes_remaining = 0;
	
	foreach ($game->players as $player)
	{
		if ($player->is_enemy)
		{
			$enemies_remaining++;
		}
		
		if ($player->is_mafioso)
		{
			$yanderes_remaining++;
		}
	}
	
	if (count($game->players) == 0)
	{
		output($channel, $game->s.'Game over! Everybody\'s dead! This is why we can never have nice things.'.$game->e);
		
		call('yandere/game-completed', $channel);
		call('yandere/end-game', $channel);
		return true;
	}
	
	$enemies_won = null;
	
	if ($yanderes_remaining == 0)
	{
		output($channel, $game->s.'Congratulations! The last yandere has been defeated!'.$game->e);
		
		$enemies_won = false;
	}
	elseif ($enemies_remaining == count($game->players) || $yanderes_remaining >= count($game->players) / 2)
	{
		output($channel, $game->s.'Game over! The '.str_plural('yandere wins', $yanderes_remaining, 'yanderes win').'!'.$game->e);
		
		$enemies_won = true;
	}
	
	if (!is_null($enemies_won))
	{
		foreach ($game->players as $player_id => $player)
		{
			if ($player->is_enemy xor $enemies_won)
			{
				unset ($game->players[$player_id]);
			}
		}
		
		call('yandere/game-completed', $channel);
		call('yandere/end-game', $channel);
		return true;
	}
	
	if (!$silent_nonevent)
	{
		output($channel, $game->s.'There '.str_plural('is 1 yandere', $yanderes_remaining, 'are '.$yanderes_remaining.' yanderes').' still at large.'.$game->e);
	}
	
	return false;
	
?>
