<?php
	
	$this->custom_vars->yandere_role_plurals = array
	(
		'baka ranger' => 'baka rangers',
		'civilian' => 'civilians',
		'cloaked ninja' => 'cloaked ninjas',
		'cloaked yandere' => 'cloaked yanderes',
		'esper' => 'espers',
		'guardian' => 'guardians',
		'hikikomori' => 'hikikomoris',
		'idol' => 'idols',
		'magical girl' => 'magical girls',
		'ninja' => 'ninjas',
		'pedobear' => 'pedobears',
		'psychic yandere' => 'psychic yanderes',
		'samurai' => 'samurai',
		'shrine maiden' => 'shrine maidens',
		'spy' => 'spies',
		'stalker' => 'stalkers',
		'tank soldier' => 'tank soldier',
		'trap' => 'traps',
		'tsundere' => 'tsunderes',
		'warrior' => 'warriors',
		'yandere' => 'yanderes',
	);
	
	$this->custom_vars->yandere_standard_roles = array
	(
		'innocent' => 'civilian',
		'mafioso' => 'yandere',
		'detective' => 'spy',
	);
	
	$this->custom_vars->yandere_role_actions = array
	(
		0 => array // Day
		(
			'esper' => 'spy',
			'cloaked ninja' => 'spy',
			'idol' => 'reveal',
			'magical girl' => 'kill',
			'ninja' => 'spy',
			'pedobear' => 'spy',
			'psychic yandere' => 'spy',
			'samurai' => 'kill',
			'shrine maiden' => 'spy',
			'tank soldier' => 'kill',
		),
		1 => array // Night
		(
			'cloaked ninja' => 'kill',
			'cloaked yandere' => 'vote',
			'guardian' => 'guard',
			'hikikomori' => 'hide',
			'magical girl' => 'guard',
			'ninja' => 'kill',
			'psychic yandere' => 'vote',
			'samurai' => 'kill',
			'shrine maiden' => 'guard',
			'spy' => 'spy',
			'stalker' => 'stalk',
			'tank soldier' => 'kill',
			'warrior' => 'kill',
			'yandere' => 'vote',
		)
	);
	
	$this->custom_vars->yandere_day_action_msgs = array
	(
		'idol' => 'A limousine pulls up and the famous idol \\1 steps out! \\1 hands everyone autographed copies of the latest album, "I Want You Lovely".',
		'magical girl' => '\\1 transforms into a magical girl and casts Moon Spiral Heart Attack on \\2! \\2\\3 fades away.',
		'samurai' => '\\1 pulls out a samurai sword and drives it through \\2\'s chest! \\2\\3 falls over and dies.',
		'tank soldier' => '\\1 hops into a tank and blasts \\2 to smithereens. \\2\\3 is pretty thoroughly dead.',
	);
	
	$this->custom_vars->yandere_enemies = array
	(
		'cloaked yandere',
		'psychic yandere',
		'trap',
		'yandere',
	);
	
	$this->custom_vars->yandere_always_win_roles = array
	(
		'baka ranger',
	);
	
	$this->custom_vars->yandere_yandere_odds = array
	(
		'yandere' => 94,
		'psychic yandere' => 5,
		'cloaked yandere' => 1,
	);
	
	$this->custom_vars->yandere_role_odds = array
	(
		'civilian' => 75,
		'guardian' => 10,
		'warrior' => 10,
		'ninja' => 5,
		'samurai' => 5,
		'stalker' => 5,
		'tsundere' => 5,
		'baka ranger' => 1,
		'cloaked ninja' => 1,
		'esper' => 1,
		'hikikomori' => 1,
		'idol' => 1,
		'magical girl' => 1,
		'pedobear' => 1,
		'shrine maiden' => 1,
		'tank soldier' => 1,
		'trap' => 1,
	);
	
	$this->custom_vars->yandere_role_single_use = array
	(
		'cloaked ninja',
		'esper',
		'hikikomori',
		'idol',
		'psychic yandere',
		'magical girl',
		'ninja',
		'samurai',
		'shrine maiden',
		'warrior',
	);
	
	$this->custom_vars->yandere_role_appearance = array
	(
		'cloaked ninja' => 'civilian',
		'cloaked yandere' => 'civilian',
		'pedobear' => 'yandere',
		'trap' => 'civilian',
		'tsundere' => 'yandere',
	);
	
	$this->custom_vars->yandere_role_descriptions = array
	(
		'baka ranger' => 'Baka rangers have no stakes in the game. You win no matter who wins. Feel free to sabotage either side, and have fun with it. You don\'t have any special abilities.',
		'civilian' => 'Civilians are normal townsfolk with no special abilities.',
		'cloaked ninja' => 'Cloaked ninjas look like normal civilians, and they can either spy on someone once during a day of your choosing OR kill someone once during a night. Type "/msg '.$this->nick.' !spy <user>" during the day or "/msg '.$this->nick.' !kill <user>" during the night.',
		'cloaked yandere' => 'Cloaked yanderes are yanderes that look like civilians to spies. Each night, you vote to kill someone by typing "/msg '.$this->nick.' !vote <user>". The majority vote among the yanderes wins. Earlier votes break ties.',
		'esper' => 'Espers can inspect another player\'s role one time during a day of your choosing. Type "/msg '.$this->nick.' !spy <user>". Be careful of disguised roles like traps and tsunderes which will be misreported.',
		'guardian' => 'Guardians have the ability to protect a player from any danger during the night. Type "/msg '.$this->nick.' !guard <user>". But be careful: if you protect a yandere, the yandere will also attack you!',
		'hikikomori' => 'Hikikomoris can choose to hide during a night of your choosing, keeping safe from any killers that night. Type "/msg '.$this->nick.' !hide" during the night.',
		'idol' => 'Idols are famous! At any time during a day of your choice, you can type "/msg '.$this->nick.' !reveal" to prove to everyone that you\'re an idol.',
		'magical girl' => 'Magical girls can either kill someone once during a day of your choosing OR guard someone once during a night. Type "/msg '.$this->nick.' !kill <user>" during the day or "/msg '.$this->nick.' !guard <user>" during the night.',
		'ninja' => 'Ninjas can either spy on someone once during a day of your choosing OR kill someone once during a night. Type "/msg '.$this->nick.' !spy <user>" during the day or "/msg '.$this->nick.' !kill <user>" during the night.',
		'pedobear' => 'Pedobear scares lolis (he looks like a yandere), but he\'s on the good side, because that\'s where the most lolis are. Every day, he can spy on anyone he wants by typing "/msg '.$this->nick.' !spy <user>".',
		'psychic yandere' => 'Psychic yanderes are yanderes that can inspect another player\'s role one time during a day of your choosing. Type "/msg '.$this->nick.' !spy <user>" during the day or "/msg '.$this->nick.' !vote <user>" during the night.',
		'samurai' => 'Samurai have the ability to single-handedly kill a player of their choosing once during a night or day of your choosing. Type "/msg '.$this->nick.' !kill <user>" if you believe that person is a yandere.',
		'shrine maiden' => 'Shrine maidens can spy once during a day of your choosing OR guard once during a night. Type "/msg '.$this->nick.' !spy <user>" during the day or "/msg '.$this->nick.' !guard <user>" during the night.',
		'spy' => 'Spies can inspect another player\'s role each night. Type "/msg '.$this->nick.' !spy <user>". Be careful of disguised roles like traps and tsunderes which will be misreported.',
		'stalker' => 'Stalkers can learn where another player goes during the night. Each night, type "/msg '.$this->nick.' !stalk <user>". Although you can see a player\'s target, you can\'t see what action the player is performing on that target.',
		'tank soldier' => 'Tank soldiers are killing machines! They can kill anyone they want at any time, once per day and once per night if they want. But remember, you\'re trying to kill the yanderes. Type "/msg '.$this->nick.' !kill <user>".',
		'trap' => 'Traps are normal civilians with no special abilities, except you only win if the yanderes win. You want to sabotage the game in favor of the yanderes. Spies will mistake you for a civilian.',
		'tsundere' => 'Tsunderes are normal civilians with no special abilities, except spies will mistake them for yanderes.',
		'warrior' => 'Warriors have the ability to single-handedly kill a player of their choosing once during a night of your choosing. Type "/msg '.$this->nick.' !kill <user>" if you believe that person is a yandere.',
		'yandere' => 'Yanderes are the villains of the game. Each night, you vote to kill someone by typing "/msg '.$this->nick.' !vote <user>". The majority vote among the yanderes wins. Earlier votes break ties.',
	);
	
	$this->custom_vars->yandere_weapons = array
	(
		'a crowbar',
		'an axe',
		'a sword',
		'dynamite',
		'a wrench',
		'a fork',
		'a giant plushie',
		'dihydrogen monoxide',
		'a machine gun',
		'a cheese grater',
		'a rolling pin',
		'a frying pan',
		'a staple gun',
		'a sledgehammer',
		'a major papercut',
		'a pineapple',
		'a box of gummy worms',
		'a giant snake',
		'excalibolg',
		'a pretzel',
		'a death note',
		'a mecha',
		'a bowling ball',
		'AIDS',
		'a tentacle monster',
		'a tennis racket',
		'an exploding pen',
		'a cannon',
		'laser beams',
		'a hot glue gun',
		'a frisby',
		'a mutant bee sting',
		'a shark',
		'a yo-yo',
		'ESP',
		'a yak',
		'a box of starving, crazed weasels',
		'a shuriken',
		'a banana',
		'a thermal detonator',
		'a falling house',
		'a Masamune',
		'a mouse trap',
		'a walrus with a top hat',
		'fire',
		'lolicide',
		'cancer',
		'a hybrid vehicle',
		'lolipops',
		'poison cake',
		'a sugar overdose',
		'a Vulcan nerve pinch',
		'a rift in space-time',
		'the power of the void',
		'a rock',
		'a chicken gun',
		'the force',
		'a large hadron collider',
		'a silver bullet',
		'a carrier swarm',
	);
	
	$this->custom_vars->yandere_murder_descriptions = array
	(
		'has been brutally murdered by',
		'is dead, killed by',
		'was taken out by',
		'has been killed by',
		'has been murdered by',
		'is lying on the floor, murdered by',
		'has been savagely killed by',
		'was assassinated with',
		'was eliminated by',
		'was knocked off with',
		'has been slain by',
		'was wasted by',
		'was done in by',
	);
	
?>
